﻿@model Tag
@{
    ViewData["Title"] = "Edit";
    Layout = "~/Views/Shared/_LayoutAdmin.cshtml";
}

<form method="post" asp-action="Edit" style="width:90%; margin: 0 auto;" enctype="multipart/form-data">
    <div class="border p-3 mt-4">
        <div class="row pb-6">
            <h2 class="text-primary">Sửa thông tin</h2>
            <hr />
        </div>
        <div asp-validation-summary="ModelOnly" class="text-danger"></div>
        <input type="hidden" asp-for="Id" />
        <div class="mb-3">
            <label asp-for="Name" class="control-label"></label>
            <input asp-for="Name" class="form-control" />
            <span asp-validation-for="Name" class="text-danger"></span>
        </div>
      
        <div class="mb-3">
            <label asp-for="Description" class="control-label"></label>
            <textarea asp-for="Description" rows="3" class="form-control"></textarea>
            <span asp-validation-for="Description" class="text-danger"></span>
        </div>
        <div class="mb-3">
            <label asp-for="UrlSlug" class="control-label"></label>
            <input asp-for="UrlSlug" class="form-control" disabled />
            <span asp-validation-for="UrlSlug" class="text-danger"></span>
        </div>
        <div class="mb-3">
            <label asp-for="Count" class="control-label"></label>
            <input asp-for="Count" class="form-control" />
            <span asp-validation-for="Count" class="text-danger"></span>
        </div>
        <div class="mb-3">
            <input type="submit" value="Save" class="btn btn-primary" />
        </div>
    </div>
</form>


<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts{
	@{
    <partial name="_ValidationScriptsPartial" />
	}
<script>
     tinymce.init({
       selector: 'textarea',
       plugins: 'advlist autolink lists link image charmap print preview hr anchor pagebreak',
       toolbar_mode: 'floating',
    });

     function ValidateInput(){
         if(document.getElementById("uploadBox").value==""){
             Swal.fire({
               icon: 'error',
               title: 'Oops...',
               text: 'Please upload an Image!',
             });
             return false;
         }
         return true;
     }
</script>
}



